Get paginated content feed
curl --request GET \
--url https://api.jup.ag/tokens/v2/content/feed \
--header 'x-api-key: <api-key>'{
"data": {
"contents": [
{
"contentId": "<string>",
"content": "<string>",
"status": "approved",
"source": "<string>",
"submittedAt": "<string>",
"submittedBy": {
"id": "<string>",
"username": "<string>",
"role": "<string>"
},
"updatedAt": "<string>",
"updatedBy": {
"id": "<string>",
"username": "<string>",
"role": "<string>"
},
"postedAt": "<string>"
}
],
"tokenSummary": {
"summaryFull": "<string>",
"summaryShort": "<string>",
"updatedAt": "<string>",
"citations": [
"<string>"
]
},
"newsSummary": {
"summaryFull": "<string>",
"summaryShort": "<string>",
"updatedAt": "<string>",
"citations": [
"<string>"
]
},
"pagination": {
"limit": 123,
"total": 123,
"page": 123,
"totalPages": 123
}
}
}Content
Get Content Feed
Retrieves a paginated feed of content for a specific mint
GET
/
content
/
feed
Get paginated content feed
curl --request GET \
--url https://api.jup.ag/tokens/v2/content/feed \
--header 'x-api-key: <api-key>'{
"data": {
"contents": [
{
"contentId": "<string>",
"content": "<string>",
"status": "approved",
"source": "<string>",
"submittedAt": "<string>",
"submittedBy": {
"id": "<string>",
"username": "<string>",
"role": "<string>"
},
"updatedAt": "<string>",
"updatedBy": {
"id": "<string>",
"username": "<string>",
"role": "<string>"
},
"postedAt": "<string>"
}
],
"tokenSummary": {
"summaryFull": "<string>",
"summaryShort": "<string>",
"updatedAt": "<string>",
"citations": [
"<string>"
]
},
"newsSummary": {
"summaryFull": "<string>",
"summaryShort": "<string>",
"updatedAt": "<string>",
"citations": [
"<string>"
]
},
"pagination": {
"limit": 123,
"total": 123,
"page": 123,
"totalPages": 123
}
}
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
Solana token mint address
Example:
"JUPyiwrYJFskUPiHa7hkeR8VUtAeFoSYbKedZNsDvCN"
Page number (starts from 1)
Required range:
x >= 1Example:
1
Number of items per page (1-100)
Required range:
1 <= x <= 100Example:
50
Response
Successfully retrieved content feed
Show child attributes
Show child attributes
Was this page helpful?
⌘I
